GH-CODESPACE-REBUILD(1)

NAME
gh-codespace-rebuild - Rebuild a codespace

SYNOPSIS
gh codespace rebuild [flags]

DESCRIPTION
Rebuilding recreates your codespace.

Your code and any current changes will be preserved. Your codespace will be rebuilt using your working directory's dev container. A full rebuild also removes cached Docker images.

OPTIONS

-c, --codespace <string>
    Name of the codespace

--full
    perform a full rebuild

-R, --repo <string>
    Filter codespace selection by repository name (user/repo)

--repo-owner <string>
    Filter codespace selection by repository owner (username or org)

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-codespace(1)